VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::library::item::DownloadSessionModel::State Class Reference

The state of the download session. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, ACTIVE, CANCELED, ERROR }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static State[] | GetValues ()
static State | ValueOf (string name)
## Static Public Attributes
static readonly State | ACTIVE = new State("ACTIVE", Values.ACTIVE)
| The session is active.
static readonly State | CANCELED = new State("CANCELED", Values.CANCELED)
| The session has been canceled.
static readonly State | ERROR = new State("ERROR", Values.ERROR)
| Indicates there was an error during the session lifecycle.

## Detailed Description

The state of the download session.

## Member Enumeration Documentation

enum vmware::content::library::item::DownloadSessionModel::State::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  ACTIVE | The session is active. Individual files may be in the process of being transferred and may become ready for download at different times.
  CANCELED | The session has been canceled. On-going downloads may fail. The session will stay in this state until it is either deleted by the user or automatically cleaned up by the Content Library Service.
  ERROR | Indicates there was an error during the session lifecycle.

## Member Function Documentation

Values vmware::content::library::item::DownloadSessionModel::State::GetEnumValue | ( |  | ) | `[inline]`

static State [] vmware::content::library::item::DownloadSessionModel::State::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::library::item::DownloadSessionModel::State::IsUnknown | ( |  | ) | `[inline]`

static State vmware::content::library::item::DownloadSessionModel::State::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly State vmware::content::library::item::DownloadSessionModel::State::ACTIVE = new State("ACTIVE", Values.ACTIVE)`[static]`

The session is active.

Individual files may be in the process of being transferred and may become ready for download at different times.

readonly State vmware::content::library::item::DownloadSessionModel::State::CANCELED = new State("CANCELED", Values.CANCELED)`[static]`

The session has been canceled.

On-going downloads may fail. The session will stay in this state until it is either deleted by the user or automatically cleaned up by the Content Library Service.

readonly State vmware::content::library::item::DownloadSessionModel::State::ERROR = new State("ERROR", Values.ERROR)`[static]`

Indicates there was an error during the session lifecycle.

The documentation for this class was generated from the following file:

- DownloadSessionModel.cs